MCP providers
Set MCP provider sharing
Set an MCP provider’s visibility (Everyone vs Selected) and complete Selected audience. Requires edit rights; Selected must retain at least one current organization member, and sharedWith is intersected with current membership.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/mcp-providers/string/sharing" \ -H "Content-Type: application/json" \ -d '{ "visibility": "org" }'{ "id": "string", "name": "string", "kind": "string", "transport": "string", "url": "string", "service": "string", "visibility": "string", "sharedWith": [ "string" ], "ui": true, "createdBy": "string", "canEdit": true, "canManageSharing": true, "headerNames": [ "string" ], "auth": "string", "oauth": { "status": "string", "issuer": "string", "scopes": [ "string" ], "clientSource": "string", "expiresAt": "string" }, "createdAt": "string"}